React DropDownButton Props

This section describes options that configure the DropDownButton widget's contents, behavior, and appearance.

See Also

accessKey

Specifies the shortcut key that sets focus on the widget.

Type:

String

Default Value: null

The value of this option will be passed to the accesskey attribute of the HTML element that underlies the widget.

activeStateEnabled

Specifies whether or not the widget changes its state when interacting with a user.

Type:

Boolean

Default Value: false

This option is used when the widget is displayed on a platform whose guidelines include the active state change for widgets.

dataSource

Provides data for the drop-down menu.

If you use DevExtreme ASP.NET MVC Controls, refer to the Bind Controls to Data article.

The DropDownButton works with collections of objects or string or number values.

Depending on your data source, bind the DropDownButton to data as follows. If the data source provides objects, also specify the keyExpr and displayExpr options. Note that particular fields in the objects can control the widget's appearance. See the Default Templates for more information.

  • Data Array
    Assign the array to the dataSource option.

  • Read-Only Data in JSON Format
    Set the dataSource option to the URL of a JSON file or service that returns JSON data.

  • OData
    Implement an ODataStore.

  • Web API, PHP, MongoDB
    Use one of the following extensions to enable the server to process data according to the protocol DevExtreme widgets use:

    Then, use the createStore method to configure access to the server on the client as shown below. This method is part of DevExtreme.AspNet.Data.

    App.js
    • import React from 'react';
    • import 'devextreme/dist/css/dx.common.css';
    • import 'devextreme/dist/css/dx.light.css';
    •  
    • import CustomStore from 'devextreme/data/custom_store';
    • import { createStore } from 'devextreme-aspnet-data-nojquery';
    • import DropDownButton from 'devextreme-react/drop-down-button';
    •  
    • const serviceUrl = "https://url/to/my/service";
    • const store = createStore({
    • key: "ID",
    • loadUrl: serviceUrl + "/GetAction",
    • insertUrl: serviceUrl + "/InsertAction",
    • updateUrl: serviceUrl + "/UpdateAction",
    • deleteUrl: serviceUrl + "/DeleteAction"
    • });
    •  
    • class App extends React.Component {
    • render() {
    • return (
    • <DropDownButton ...
    • dataSource={store} />
    • );
    • }
    • }
    • export default App;
  • Any other data source
    Implement a CustomStore.

Regardless of the data source on the input, the DropDownButton always wraps it in the DataSource object. This object allows you to sort, filter, group, and otherwise shape data. To get its instance, call the getDataSource() method.

NOTE

Please review the following notes about data binding:

  • Do not specify the items option if you specified the dataSource, and vice versa.

  • Data field names should not contain the following characters: ., ,, :, [, and ].

  • DataSource and stores provide methods to process and update data. However, the methods do not allow you to perform particular tasks (for example, replace the entire dataset, reconfigure data access at runtime). For such tasks, create a new array, store, or DataSource and assign it to the dataSource option as shown in the articles about changing options in jQuery, Angular, React, and Vue.

deferRendering

Specifies whether to wait until the drop-down menu is opened the first time to render its content.

Type:

Boolean

Default Value: true

If this option is false, the content is rendered once the widget is initialized.

disabled

Specifies whether the widget responds to user interaction.

Type:

Boolean

Default Value: false

displayExpr

Specifies the data field whose values should be displayed in the drop-down menu.

Type:

String

|

Function

Function parameters:
itemData:

Object

The current item's data object.

Return Value:

String

The displayed value.

Default Value: 'this'

Set this option to the name of a data field that provides displayed values...

  • displayExpr: "name"

... or to a function that returns the displayed value:

  • displayExpr: function(item) {
  • // "item" can be null
  • return item && 'ID: ' + item.id + ', Name: ' + item.name;
  • }

Do not change the default value if the data source contains primitives.

dropDownContentComponent

An alias for the dropDownContentTemplate option specified in React. Accepts a custom component. Refer to Using a Custom Component for more information.

dropDownContentRender

An alias for the dropDownContentTemplate option specified in React. Accepts a rendering function. Refer to Using a Rendering Function for more information.

dropDownContentTemplate

Specifies custom content for the drop-down field.

Type:

template

Template Data:

Array<String | Number | Object>

|

DataSource

The array passed to the items option or a DataSource instance created using the dataSource configuration.

Default Name: 'content'

The drop-down field contains the List widget. Implement this template to replace the widget with custom content. The following restrictions apply when the template is specified:

See Also

dropDownOptions

Configures the drop-down field.

Default Value: {}

See the Popup configuration for options that you can specify in this object.

NOTE
The fields of a configuration object passed to this option do not support two-way binding in Angular, AngularJS, and Knockout and event bindings in Angular.

elementAttr

Specifies the attributes to be attached to the widget's root element.

Type:

Object

Default Value: {}

focusStateEnabled

Specifies whether users can use keyboard to focus the widget.

Type:

Boolean

Default Value: true

height

Specifies the widget's height.

Type:

Number

|

String

|

Function

Return Value:

Number

|

String

The widget's height.

Default Value: undefined

This option accepts a value of one of the following types:

  • Number
    The height in pixels.

  • String
    A CSS-accepted measurement of height. For example, "55px", "80%", "inherit".

  • Function
    A function returning either of the above. For example:

    JavaScript
    • height: function() {
    • return window.innerHeight / 1.5;
    • }

hint

Specifies text for a hint that appears when a user pauses on the widget.

Type:

String

Default Value: undefined

hoverStateEnabled

Specifies whether the widget changes its state when a user hovers the mouse pointer over it.

Type:

Boolean

Default Value: true

icon

Specifies the button's icon.

Type:

String

Default Value: undefined

This option accepts one of the following:

itemComponent

An alias for the itemTemplate option specified in React. Accepts a custom component. Refer to Using a Custom Component for more information.

itemRender

An alias for the itemTemplate option specified in React. Accepts a rendering function. Refer to Using a Rendering Function for more information.

items

Provides drop-down menu items.

Default Value: null

If this array contains objects, specify the keyExpr and displayExpr options.

If you need to update the widget items, reassign the entire items[] array as shown in the following example:

JavaScript
  • dropDownButtonInstance.option('items', newItems);

As an alternative to items, you can use the dataSource option. It accepts the DataSource object, whose underlying stores provide an API that allows you to update individual items without reassigning the entire item collection.

NOTE
Do not use the items option if you use dataSource, and vice versa.

Particular fields in objects can control the widget's appearance. See Default Templates for more information.

itemTemplate

Specifies a custom template for drop-down menu items.

Type:

template

Template Data:

Object

The item's data object.

Default Name: 'item'

See Also

keyExpr

Specifies which data field provides keys used to distinguish between the selected drop-down menu items.

Type:

String

Default Value: 'this'

Alternatively, you can specify the key in the store assigned to the dataSource.

noDataText

Specifies text or HTML markup displayed in the drop-down menu when it does not contain any items.

Type:

String

Default Value: 'No data to display'

onButtonClick

A function that is executed when the button is clicked or tapped. If splitButton is true, this function is executed for the action button only.

Type:

Function

|

String

Function parameters:
e:

Object

Information about the event that caused the function execution.

Object structure:
Name Type Description
component

DropDownButton

The widget's instance.

element

HTMLElement | jQuery

The widget's container. It is an HTML Element or a jQuery Element when you use jQuery.

event

Event (jQuery or EventObject)

The event that caused the function to execute. It is a dxEvent or a jQuery.Event when you use jQuery.

model

Object

The model data. Available only if you use Knockout.

selectedItem

Object

The selected item's data. Available when useSelectMode is true.

Default Value: null

onContentReady

A function that is executed when the widget's content is ready and each time the content is changed.

Type:

Function

Function parameters:
e:

Object

Information about the event.

Object structure:
Name Type Description
component

DropDownButton

The widget's instance.

element

HTMLElement | jQuery

The widget's container. It is an HTML Element or a jQuery Element when you use jQuery.

model

Object

The model data. Available only when using Knockout.

Default Value: null

onDisposing

A function that is executed before the widget is disposed of.

Type:

Function

Function parameters:
e:

Object

Information about the event.

Object structure:
Name Type Description
component

DropDownButton

The widget's instance.

element

HTMLElement | jQuery

The widget's container. It is an HTML Element or a jQuery Element when you use jQuery.

model

Object

The model data. Available only if you use Knockout.

Default Value: null

onInitialized

A function used in JavaScript frameworks to save the widget instance.

Type:

Function

Function parameters:
e:

Object

Information about the event.

Object structure:
Name Type Description
component

DropDownButton

The widget's instance.

element

HTMLElement | jQuery

The widget's container. It is an HTML Element or a jQuery Element when you use jQuery.

Default Value: null

See Also

onItemClick

A function that is executed when a drop-down menu item is clicked.

Type:

Function

|

String

Function parameters:
e:

Object

Information about the event that caused the function to execute.

Object structure:
Name Type Description
component

DropDownButton

The widget's instance.

element

HTMLElement | jQuery

The widget's container. It is an HTML Element or a jQuery Element when you use jQuery.

event

Event (jQuery or EventObject)

The event that caused the function to execute. It is a dxEvent or a jQuery.Event when you use jQuery.

itemData

Object

The clicked item's data.

itemElement

HTMLElement | jQuery

The item's container. It is an HTML Element or a jQuery Element when you use jQuery.

model

Object

The model data. Available only if you use Knockout.

Default Value: null

onOptionChanged

A function that is executed after a widget option is changed.

Type:

Function

Function parameters:
e:

Object

Information about the event.

Object structure:
Name Type Description
model

Object

The model data. Available only if you use Knockout.

fullName

String

The path to the modified option that includes all parent options.

element

HTMLElement | jQuery

The widget's container. It is an HTML Element or a jQuery Element when you use jQuery.

component

DropDownButton

The widget's instance.

name

String

The modified option if it belongs to the first level. Otherwise, the first-level option it is nested into.

value any

The modified option's new value.

Default Value: null

onSelectionChanged

A function that is executed when an item is selected or selection is canceled. In effect when useSelectMode is true.

Type:

Function

|

String

Function parameters:
e:

Object

Information about the event that caused the function to execute.

Object structure:
Name Type Description
component

DropDownButton

The widget's instance.

element

HTMLElement | jQuery

The widget's container. It is an HTML Element or a jQuery Element when you use jQuery.

item

Object

The selected item's data.

model

Object

The model data. Available only if you use Knockout.

previousItem

Object

The previously selected item's data.

Default Value: null

opened

Specifies whether the drop-down menu is opened.

Type:

Boolean

Default Value: false

rtlEnabled

Switches the widget to a right-to-left representation.

Type:

Boolean

Default Value: false

When this option is set to true, the widget text flows from right to left, and the layout of elements is reversed. To switch the entire application/site to the right-to-left representation, assign true to the rtlEnabled field of the object passed to the DevExpress.config(config) method.

JavaScript
  • DevExpress.config({
  • rtlEnabled: true
  • });
See Also

selectedItem

Contains the selected item's data. Available when useSelectMode is true.

Type:

String

|

Number

|

Object

Read-only
Default Value: null

See Also

selectedItemKey

Contains the selected item's key and allows you to specify the initially selected item. Applies when useSelectMode is true.

Type:

String

|

Number

Default Value: null

Keys are taken from the data field specified in the widget's keyExpr option or the key option of the store that underlies the dataSource.

See Also

showArrowIcon

Specifies whether the arrow icon should be displayed.

Type:

Boolean

Default Value: true

The following table demonstrates how the showArrowIcon option affects the DropDownButton's appearance:

showArrowIcon value Result
showArrowIcon: true DevExtreme DropDownButton with the showArrowIcon option set to true
showArrowIcon: false DevExtreme DropDownButton with the showArrowIcon option set to false

splitButton

Specifies whether to split the button in two: one executes an action, the other opens and closes the drop-down menu.

Type:

Boolean

Default Value: false

stylingMode

Specifies how the button is styled.

Type:

String

Default Value: 'outlined'
Accepted Values: 'text' | 'outlined' | 'contained'

The following styles are available:

DevExtreme DropDownButton: Styling modes

Use the ButtonStylingMode enum to specify this option when the widget is used as an ASP.NET MVC 5 Control or a DevExtreme-Based ASP.NET Core Control. This enum accepts the following values: Text, Outlined, and Contained.

tabIndex

Specifies the number of the element when the Tab key is used for navigating.

Type:

Number

Default Value: 0

The value of this option will be passed to the tabindex attribute of the HTML element that underlies the widget.

text

Specifies the button's text. Applies only if useSelectMode is false.

Type:

String

Default Value: ''

useSelectMode

Specifies whether the widget stores the selected drop-down menu item.

Type:

Boolean

Default Value: false

When you set this option to true, the following applies:

visible

Specifies whether the widget is visible.

Type:

Boolean

Default Value: true

width

Specifies the widget's width.

Type:

Number

|

String

|

Function

Return Value:

Number

|

String

The widget's width.

Default Value: undefined

This option accepts a value of one of the following types:

  • Number
    The width in pixels.

  • String
    A CSS-accepted measurement of width. For example, "55px", "80%", "auto", "inherit".

  • Function
    A function returning either of the above. For example:

    JavaScript
    • width: function() {
    • return window.innerWidth / 1.5;
    • }

Angular DropDownButton Properties
This section describes options that configure the DropDownButton widget's contents, behavior, and appearance.
See Also
- Configure a Widget: Angular | Vue | React | jQuery | AngularJS | Knockout | ASP.NET MVC 5 | ASP.NET Core
accessKey
Specifies the shortcut key that sets focus on the widget.
The value of this option will be passed to the accesskey
attribute of the HTML element that underlies the widget.
activeStateEnabled
Specifies whether or not the widget changes its state when interacting with a user.
This option is used when the widget is displayed on a platform whose guidelines include the active state change for widgets.
dataSource
Provides data for the drop-down menu.
If you use DevExtreme ASP.NET MVC Controls, refer to the Bind Controls to Data article.
The DropDownButton works with collections of objects or string
or number
values.
Depending on your data source, bind the DropDownButton to data as follows. If the data source provides objects, also specify the keyExpr and displayExpr options. Note that particular fields in the objects can control the widget's appearance. See the Default Templates for more information.
Data Array
Assign the array to the dataSource option.Read-Only Data in JSON Format
Set the dataSource option to the URL of a JSON file or service that returns JSON data.OData
Implement an ODataStore.Web API, PHP, MongoDB
Use one of the following extensions to enable the server to process data according to the protocol DevExtreme widgets use:Then, use the createStore method to configure access to the server on the client as shown below. This method is part of DevExtreme.AspNet.Data.
jQuery
JavaScript$(function() { let serviceUrl = "https://url/to/my/service"; $("#dropDownButtonContainer").dxDropDownButton({ // ... dataSource: DevExpress.data.AspNet.createStore({ key: "ID", loadUrl: serviceUrl + "/GetAction", insertUrl: serviceUrl + "/InsertAction", updateUrl: serviceUrl + "/UpdateAction", deleteUrl: serviceUrl + "/DeleteAction" }) }) });
Angular
app.component.tsapp.component.htmlapp.module.tsimport { Component } from '@angular/core'; import CustomStore from 'devextreme/data/custom_store'; import { createStore } from 'devextreme-aspnet-data-nojquery'; @Component({ selector: 'app-root', templateUrl: './app.component.html', styleUrls: ['./app.component.css'] }) export class AppComponent { store: CustomStore; constructor() { let serviceUrl = "https://url/to/my/service"; this.store = createStore({ key: "ID", loadUrl: serviceUrl + "/GetAction", insertUrl: serviceUrl + "/InsertAction", updateUrl: serviceUrl + "/UpdateAction", deleteUrl: serviceUrl + "/DeleteAction" }) } }
<dx-drop-down-button ... [dataSource]="store"> </dx-drop-down-button>
import { BrowserModule } from '@angular/platform-browser'; import { NgModule } from '@angular/core'; import { AppComponent } from './app.component'; import { DxDropDownButtonModule } from 'devextreme-angular'; @NgModule({ declarations: [ AppComponent ], imports: [ BrowserModule, DxDropDownButtonModule ], providers: [], bootstrap: [AppComponent] }) export class AppModule { }
Vue
App.vue<template> <DxDropDownButton ... :data-source="store" /> </template> <script> import 'devextreme/dist/css/dx.common.css'; import 'devextreme/dist/css/dx.light.css'; import CustomStore from 'devextreme/data/custom_store'; import { createStore } from 'devextreme-aspnet-data-nojquery'; import { DxDropDownButton } from 'devextreme-vue/drop-down-button'; export default { components: { DxDropDownButton }, data() { const serviceUrl = "https://url/to/my/service"; const store = createStore({ key: "ID", loadUrl: serviceUrl + "/GetAction", insertUrl: serviceUrl + "/InsertAction", updateUrl: serviceUrl + "/UpdateAction", deleteUrl: serviceUrl + "/DeleteAction" }); return { store } } } </script>
React
App.jsimport React from 'react'; import 'devextreme/dist/css/dx.common.css'; import 'devextreme/dist/css/dx.light.css'; import CustomStore from 'devextreme/data/custom_store'; import { createStore } from 'devextreme-aspnet-data-nojquery'; import DropDownButton from 'devextreme-react/drop-down-button'; const serviceUrl = "https://url/to/my/service"; const store = createStore({ key: "ID", loadUrl: serviceUrl + "/GetAction", insertUrl: serviceUrl + "/InsertAction", updateUrl: serviceUrl + "/UpdateAction", deleteUrl: serviceUrl + "/DeleteAction" }); class App extends React.Component { render() { return ( <DropDownButton ... dataSource={store} /> ); } } export default App;
Any other data source
Implement a CustomStore.
Regardless of the data source on the input, the DropDownButton always wraps it in the DataSource object. This object allows you to sort, filter, group, and otherwise shape data. To get its instance, call the getDataSource() method.
Please review the following notes about data binding:
Do not specify the items option if you specified the dataSource, and vice versa.
Data field names should not contain the following characters:
.
,,
,:
,[
, and]
.DataSource and stores provide methods to process and update data. However, the methods do not allow you to perform particular tasks (for example, replace the entire dataset, reconfigure data access at runtime). For such tasks, create a new array, store, or DataSource and assign it to the dataSource option as shown in the articles about changing options in jQuery, Angular, React, and Vue.
deferRendering
Specifies whether to wait until the drop-down menu is opened the first time to render its content.
If this option is false, the content is rendered once the widget is initialized.
displayExpr
Specifies the data field whose values should be displayed in the drop-down menu.
The current item's data object.
The displayed value.
Set this option to the name of a data field that provides displayed values...
displayExpr: "name"
... or to a function that returns the displayed value:
displayExpr: function(item) { // "item" can be null return item && 'ID: ' + item.id + ', Name: ' + item.name; }
Do not change the default value if the data source contains primitives.
dropDownContentComponent
An alias for the dropDownContentTemplate option specified in React. Accepts a custom component. Refer to Using a Custom Component for more information.
dropDownContentRender
An alias for the dropDownContentTemplate option specified in React. Accepts a rendering function. Refer to Using a Rendering Function for more information.
dropDownContentTemplate
Specifies custom content for the drop-down field.
The drop-down field contains the List widget. Implement this template to replace the widget with custom content. The following restrictions apply when the template is specified:
- itemTemplate is ignored;
- onItemClick and onSelectionChanged are never executed;
- selectedItemKey should be updated manually.
See Also
dropDownOptions
Configures the drop-down field.
See the Popup configuration for options that you can specify in this object.
elementAttr
Specifies the attributes to be attached to the widget's root element.
jQuery
$(function(){ $("#dropDownButtonContainer").dxDropDownButton({ // ... elementAttr: { id: "elementId", class: "class-name" } }); });
Angular
<dx-drop-down-button ... [elementAttr]="{ id: 'elementId', class: 'class-name' }"> </dx-drop-down-button>
import { DxDropDownButtonModule } from "devextreme-angular"; // ... export class AppComponent { // ... } @NgModule({ imports: [ // ... DxDropDownButtonModule ], // ... })
ASP.NET MVC Controls
@(Html.DevExtreme().DropDownButton() .ElementAttr("class", "class-name") // ===== or ===== .ElementAttr(new { @id = "elementId", @class = "class-name" }) // ===== or ===== .ElementAttr(new Dictionary<string, object>() { { "id", "elementId" }, { "class", "class-name" } }) )
@(Html.DevExtreme().DropDownButton() _ .ElementAttr("class", "class-name") ' ===== or ===== .ElementAttr(New With { .id = "elementId", .class = "class-name" }) ' ===== or ===== .ElementAttr(New Dictionary(Of String, Object) From { { "id", "elementId" }, { "class", "class-name" } }) )
focusStateEnabled
Specifies whether users can use keyboard to focus the widget.
height
Specifies the widget's height.
This option accepts a value of one of the following types:
Number
The height in pixels.String
A CSS-accepted measurement of height. For example,"55px"
,"80%"
,"inherit"
.Function
A function returning either of the above. For example:JavaScriptheight: function() { return window.innerHeight / 1.5; }
hint
Specifies text for a hint that appears when a user pauses on the widget.
hoverStateEnabled
Specifies whether the widget changes its state when a user hovers the mouse pointer over it.
icon
Specifies the button's icon.
This option accepts one of the following:
- The icon's URL
- The icon's name if the icon is from the DevExtreme icon library
- The icon's CSS class if the icon is from an external icon library (see External Icon Libraries)
- The icon in the Base64 format
- The icon in the SVG format. Ensure that the source is reliable.
itemComponent
An alias for the itemTemplate option specified in React. Accepts a custom component. Refer to Using a Custom Component for more information.
itemRender
An alias for the itemTemplate option specified in React. Accepts a rendering function. Refer to Using a Rendering Function for more information.
items
Provides drop-down menu items.
If this array contains objects, specify the keyExpr and displayExpr options.
If you need to update the widget items, reassign the entire items[] array as shown in the following example:
dropDownButtonInstance.option('items', newItems);
As an alternative to items, you can use the dataSource option. It accepts the DataSource object, whose underlying stores provide an API that allows you to update individual items without reassigning the entire item collection.
Particular fields in objects can control the widget's appearance. See Default Templates for more information.
keyExpr
Specifies which data field provides keys used to distinguish between the selected drop-down menu items.
Alternatively, you can specify the key in the store assigned to the dataSource.
noDataText
Specifies text or HTML markup displayed in the drop-down menu when it does not contain any items.
onButtonClick
A function that is executed when the button is clicked or tapped. If splitButton is true, this function is executed for the action button only.
Information about the event that caused the function execution.
Name | Type | Description |
---|---|---|
component |
The widget's instance. |
|
element |
The widget's container. It is an HTML Element or a jQuery Element when you use jQuery. |
|
event | Event (jQuery or EventObject) |
The event that caused the function to execute. It is a dxEvent or a jQuery.Event when you use jQuery. |
model |
The model data. Available only if you use Knockout. |
|
selectedItem |
The selected item's data. Available when useSelectMode is true. |
onContentReady
A function that is executed when the widget's content is ready and each time the content is changed.
Information about the event.
Name | Type | Description |
---|---|---|
component |
The widget's instance. |
|
element |
The widget's container. It is an HTML Element or a jQuery Element when you use jQuery. |
|
model |
The model data. Available only when using Knockout. |
onDisposing
A function that is executed before the widget is disposed of.
Information about the event.
Name | Type | Description |
---|---|---|
component |
The widget's instance. |
|
element |
The widget's container. It is an HTML Element or a jQuery Element when you use jQuery. |
|
model |
The model data. Available only if you use Knockout. |
onInitialized
A function used in JavaScript frameworks to save the widget instance.
Information about the event.
Name | Type | Description |
---|---|---|
component |
The widget's instance. |
|
element |
The widget's container. It is an HTML Element or a jQuery Element when you use jQuery. |
onItemClick
A function that is executed when a drop-down menu item is clicked.
Information about the event that caused the function to execute.
Name | Type | Description |
---|---|---|
component |
The widget's instance. |
|
element |
The widget's container. It is an HTML Element or a jQuery Element when you use jQuery. |
|
event | Event (jQuery or EventObject) |
The event that caused the function to execute. It is a dxEvent or a jQuery.Event when you use jQuery. |
itemData |
The clicked item's data. |
|
itemElement |
The item's container. It is an HTML Element or a jQuery Element when you use jQuery. |
|
model |
The model data. Available only if you use Knockout. |
onOptionChanged
A function that is executed after a widget option is changed.
Information about the event.
Name | Type | Description |
---|---|---|
model |
The model data. Available only if you use Knockout. |
|
fullName |
The path to the modified option that includes all parent options. |
|
element |
The widget's container. It is an HTML Element or a jQuery Element when you use jQuery. |
|
component |
The widget's instance. |
|
name |
The modified option if it belongs to the first level. Otherwise, the first-level option it is nested into. |
|
value | any |
The modified option's new value. |
onSelectionChanged
A function that is executed when an item is selected or selection is canceled. In effect when useSelectMode is true.
Information about the event that caused the function to execute.
Name | Type | Description |
---|---|---|
component |
The widget's instance. |
|
element |
The widget's container. It is an HTML Element or a jQuery Element when you use jQuery. |
|
item |
The selected item's data. |
|
model |
The model data. Available only if you use Knockout. |
|
previousItem |
The previously selected item's data. |
rtlEnabled
Switches the widget to a right-to-left representation.
When this option is set to true, the widget text flows from right to left, and the layout of elements is reversed. To switch the entire application/site to the right-to-left representation, assign true to the rtlEnabled field of the object passed to the DevExpress.config(config) method.
DevExpress.config({ rtlEnabled: true });
See Also
- Right-to-Left Support Demo: DataGrid | Navigation Widgets | Editors
selectedItemKey
Contains the selected item's key and allows you to specify the initially selected item. Applies when useSelectMode is true.
Keys are taken from the data field specified in the widget's keyExpr option or the key option of the store that underlies the dataSource.
See Also
showArrowIcon
Specifies whether the arrow icon should be displayed.
The following table demonstrates how the showArrowIcon option affects the DropDownButton's appearance:
showArrowIcon value | Result |
---|---|
showArrowIcon: true |
![]() |
showArrowIcon: false |
![]() |
splitButton
Specifies whether to split the button in two: one executes an action, the other opens and closes the drop-down menu.
stylingMode
Specifies how the button is styled.
The following styles are available:
Use the ButtonStylingMode
enum to specify this option when the widget is used as an ASP.NET MVC 5 Control or a DevExtreme-Based ASP.NET Core Control. This enum accepts the following values: Text
, Outlined
, and Contained
.
tabIndex
Specifies the number of the element when the Tab key is used for navigating.
The value of this option will be passed to the tabindex
attribute of the HTML element that underlies the widget.
useSelectMode
Specifies whether the widget stores the selected drop-down menu item.
When you set this option to true, the following applies:
The selectedItemKey and selectedItem options can be used.
The onSelectionChanged function can be executed.
The button's text and icon are taken from the selected item. If you use the dropDownContentTemplate, you should update the selectedItemKey and the button's appearance.
width
Specifies the widget's width.
This option accepts a value of one of the following types:
Number
The width in pixels.String
A CSS-accepted measurement of width. For example,"55px"
,"80%"
,"auto"
,"inherit"
.Function
A function returning either of the above. For example:JavaScriptwidth: function() { return window.innerWidth / 1.5; }
If you have technical questions, please create a support ticket in the DevExpress Support Center.